#!/bin/bash
#
# THIS SCRIPT MUST BE RUN FROM THE ROOT OF THE PROJECT
#
#
ARGS="-w 16 -s 2 -m 1024 -e 1e-5 -k 0.95 -l 10"
type='color'
out="./results/images/kodak/${type}"
metrics="./results/metrics/kodak/${type}"
mkdir -p ${out}
mkdir -p ${metrics}
for m in 1 2 4a 4c # 1 2 3 4a 4c 4b 4d
    do
	mask="data/image/masks/inpaint_768x512_${m}.png"
	for i in "" # 01 02 03 05 06 07 08 11 12 13 14 15 16 20 21 22 23 24
	do
	rm iter*png
	input="data/image/${type}/kodak/kodim${i}.png"
        output="${out}/kodim${i}_${m}.png"
	./code/paco_dct_inpainting_tool ${ARGS} ${input} ${mask} ${output} ${input} | tee -i ./${metrics}/kodim${i}_${m}.txt
        iterout="${out}/kodim${i}_${m}/"
 		mkdir -p ${iterout}	
		mv iter*png ${iterout}/
    	sleep 1
    done
    sleep 1

    mask="data/image/masks/inpaint_512x768_${m}.png"
    for i in 19 # 04 09 10 17 18 19 
	do
		rm iter*png
		input="data/image/${type}/kodak/kodim${i}.png"
        output="${out}/kodim${i}_${m}.png"
		./code/paco_dct_inpainting_tool ${ARGS} ${input} ${mask}	${output} ${input}  | tee -i ./${metrics}/kodim${i}_${m}.txt
        iterout="${out}/kodim${i}_${m}/"
		mkdir -p ${iterout}	
		mv iter*png ${iterout}/
		sleep 1
    done
done

