#!/bin/bash
#
# THIS SCRIPT MUST BE RUN FROM THE ROOT OF THE PROJECT
#
#
ARGS=" -m 512 -e 1e-5 -l 500 -k 0.95"
type='gray'
out="./results/images/params/kodak/${type}"
#metrics="${out}/metrics/"
mkdir -p ${out}
mkdir -p ${metrics}
for i in 04 09 10 17 18 19
    do
    for m in 4c #  1 2 4a 4c
        do
        mask="data/image/masks/inpaint_512x768_${m}.png"
        for W in 8 16 24 # 28 32
            do
            for overlap in 1 2 4 6 # 24 32  20 24 28 32
                do
				let S=W*overlap/8
				echo $i $m $W $S
				if [[ ${S} -gt 0 ]]
                then
                    input="data/image/${type}/kodak/kodim${i}.png"
                    output="${out}/kodim${i}_m_${m}_w_${W}_s_${S}.png"
		    		if [[ ! -f ${output} ]]
					then
                    	./code/paco_dct_inpaint_tool ${ARGS} -w ${W} -s ${S} ${input} ${mask} ${output} ${input} | tee  ${out}/kodim${i}_m${m}_w_${W}_s_${S}.txt
						iterout="${out}/kodim${i}_m_${m}_w_${W}_s_${S}/"
			 			mkdir -p ${iterout}	
						mv iter*png ${iterout}/
                    	sleep 1
	            	fi
                fi
            done
        done
    done
done

exit


for i in  01 02 03 05 06 07 08 11 12 13 14 15 16 20 21 22 23 24
	do
	for m in 2 # 1 2 4a 4c
		do
		mask="data/image/masks/inpaint_768x512_${m}.png"
		for W in 8 16 24 # 8 12 16 20 24 28 32
     		do
            		for overlap in 1 2 4 6 # 24 32  20 24 28 32
				do
				let S=W*overlap/8
				echo $i $m $W $S
				if [ ${S} -lt $[W+1] ]
				then
					input="data/image/${type}/kodak/kodim${i}.png"
					output="${out}/kodim${i}_m_${m}_w_${W}_s_${S}.png"
		            if [[ ! -f ${output} ]]
					then
						./code/paco_dct_inpaint_tool ${ARGS} -w ${W} -s ${S} ${input} ${mask} ${output} ${input} | tee  ${out}/kodim${i}_m${m}_w_${W}_s_${S}.txt
						iterout="${out}/kodim${i}_m_${m}_w_${W}_s_${S}/"
		 				mkdir -p ${iterout}	
						mv iter*png ${iterout}/
					#sleep 1
					fi
				fi
			done
		done
    done
done



